| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Spacing

Portability | portable
Stability | unstable
Maintainer | <byorgey@gmail.com>

Contents

Usage

Description
Add a configurable amount of space around windows.
Synopsis

spacing :: Int -> l a -> ModifiedLayout Spacing l a

Usage

You can use this module by importing it into your `~/.xmonad/xmonad.hs` file:

     import XMonad.Layout.Spacing

and modifying your layoutHook as follows (for example):

     layoutHook = spacing 2 $ Tall 1 (3/100) (1/2)
                          -- put a 2px space around every window

spacing :: Int -> l a -> ModifiedLayout Spacing l a | Source

Surround all windows by a certain number of pixels of blank space.
Produced by Haddock version 2.4.2